# This is a shell of a script to run the docker fallback script across several container registry repositories

import subprocess

repos = []

# Add a .tpls file generated by Congregate
with open("./<src-project-id>_repos.tpls", "r") as f:
    for l in f.readlines():
        s = l.split(",")
        t0 = s[0].replace("('", "").replace("'", "")
        t1 = s[1].replace("')", "").replace(" '", "").strip("\n\r")
        repos.append((t0, t1))

for src, dest in repos:
    command = "sudo -E ./manually_move_images_for_tpls.sh {0} {1}".format(
        src, dest)
    subprocess.call(command.split(" "))

    # Windows
    # subprocess.Popen(
    #     ["manually_move_images_for_tpls.sh", src, dest], shell=True)
